""" Copyright start
  Copyright (C) 2008 - 2025 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from django.conf import settings

AGENT_INSTALLER_SOURCE_PATH = settings.DJANGO_ROOT + '/agent_installer/source'
AGENT_INSTALLER_DESTINATION_PATH = settings.DJANGO_ROOT + '/agent_installer/destination'
AGENT_INSTALLER_ARCHIEVED_PATH = settings.DJANGO_ROOT + '/agent_installer'

REMOTE_AGENT_OPERATIONS = {
    'agent_healthcheck': 'agent-healthcheck'
}

APPLIANCE_DELETE_URL = 'https://{0}/api/auth/users/delete-appliance'
APPLIANCE_CREATE_URL = 'https://{0}/api/auth/users/'

CONTENT_TYPE_JSON = 'application/json'