""" Copyright start
  Copyright (C) 2008 - 2025 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
import os
from django.db import migrations
from django_tenants.utils import get_tenant_model

def update_self_agent(apps, schema_editor):
    # Todo reverting this migration file for now
    # this is creating issue while migrating first time when no db schema and agent is present
    return
    TenantModel = get_tenant_model()
    is_workflow_execenv = os.getenv("IS_EXEC_ENV", False)
    if not is_workflow_execenv:
        for tenant in TenantModel.objects.all():
            schema_editor.connection.set_schema(tenant.schema_name)
            
            Agent = apps.get_model('agents', 'Agent')
            obj = Agent.objects.filter(name="Self Agent").first()

            if obj:
                obj.name = "Cloud Agent"
                obj.save()

    # Reset schema to public after processing
    schema_editor.connection.set_schema('public')  

class Migration(migrations.Migration):
    dependencies = [
        ('agents', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(update_self_agent),
    ]

