from django.db import migrations

def update_data(apps, schema_editor):
    # Get the historical version of the model
    AgentModel = apps.get_model('agents', 'Agent')
    if not AgentModel.objects.filter(default=True).exists():
        AgentModel.objects.filter(isLocal=True).update(default=True)

class Migration(migrations.Migration):

    dependencies = [
        ('agents', '0003_agent_default'),
    ]

    operations = [
        migrations.RunPython(update_data),
    ]
