""" Copyright start
  Copyright (C) 2008 - 2025 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
from django.utils.translation import gettext_lazy as _

xf_integration_1 = "FCP-INTEGRATION-1: Invalid inputs :: Invalid or no file was uploaded"
xf_integration_2 = "FCP-INTEGRATION-2: Error occurred while importing config from previous version connector"
xf_integration_3 = "FCP-INTEGRATION-3: Error occurred while import connector {0}"
xf_integration_4 = "FCP-INTEGRATION-4: The connector is either deactivated or could not be loaded. Ensure that the connector is installed and active."
xf_integration_5 = "FCP-INTEGRATION-5: Error occurred while executing the connector action"
xf_integration_6 = "FCP-INTEGRATION-6: Cannot find the connector with connector id {0}"
xf_integration_7 = "FCP-INTEGRATION-7: Error occurred while configuring connector {0} with version {1}"
xf_integration_8 = "FCP-INTEGRATION-8: Error occurred while updating the remote status on acknowledgement from agent {0}"
xf_integration_9 = "FCP-INTEGRATION-9: Error while retrieving output schema for operation {0} for connector {1} v{2}"
xf_integration_10 = "FCP-INTEGRATION-10: Agent {0} could not resolve to any existing or valid agent "
xf_integration_11 = "FCP-INTEGRATION-11: The action is marked to pick up the default connector configuration for the associated tenant. But could not find a tenant associated with record in the inputs."
xf_integration_12 = "FCP-INTEGRATION-12: Could not find a connector configuration matching the given configuration id or name {0}"
xf_integration_13 = "FCP-INTEGRATION-13: Found multiple configurations marked as default for the connector. Ensure that only one of the configurations is marked as default, or update the playbook step to specify the configuration against which the action is to be run."
xf_integration_14 = "FCP-INTEGRATION-14: Product server {0} unreachable."
xf_integration_15 = "FCP-INTEGRATION-15: Connector {0} does not exist"
xf_integration_16 = "FCP-INTEGRATION-16: Agent has not allowed remote connector operation."
xf_integration_17 = "FCP-INTEGRATION-17: Connector {0} is not active."
xf_integration_18 = "FCP-INTEGRATION-18: Agent {0} is not active"
xf_integration_19 = "FCP-INTEGRATION-19: Substring(s) {0} in the template '{1}' are not allowed. Rename the variables used in the template to exclude these substrings."
xf_integration_20 = "FCP-INTEGRATION-20: Reserved connectors cannot be replaced with a local copy of the archive."
xf_integration_21 = "FCP-INTEGRATION-21: Terminating on failure to resume the workflow after completion of connector action on agent {}. Failure reason: {}"
xf_integration_22 = "FCP-INTEGRATION-22: Error while authentication the token ERROR:: {0}"
xf_integration_23 = "FCP-INTEGRATION-23: Error while process request in context for tenant ERROR:: {0}"
xf_integration_24 = "FCP-INTEGRATION-24: Error while initializing pre-request ERROR:: {0}"
xf_integration_25 = "FCP-INTEGRATION-25: Error while creating the {0} ERROR:: {1}"
xf_integration_26 = "FCP-INTEGRATION-26: Error while retrieving tenant ERROR:: {0}"
xf_integration_27 = "FCP-INTEGRATION-27: Invalid connector info.json - connector name in the info.json does not match the value specified in the install request"
xf_integration_28 = "FCP-INTEGRATION-28: Invalid connector info.json - connector version in the info.json does not match the value specified in the install request"
xf_integration_29 = "FCP-INTEGRATION-29: Failed to install the connector binaries and its dependencies"
xf_integration_30 = "FCP-INTEGRATION-30: Invalid inputs :: Connector name or version missing"
xf_integration_31 = "FCP-INTEGRATION-31: Error while deleting the connector {0} v{1} of agent {2}"
xf_integration_32 = "FCP-INTEGRATION-32: Error while terminating workflow with workflow id {0}"
xf_integration_33 = "FCP-INTEGRATION-33: Connector health check request must include a 'config' parameter containing a Configuration ID"
xf_integration_34 = "FCP-INTEGRATION-34: No Configuration with config_id {0} for Connector {1}"
xf_integration_35 = "FCP-INTEGRATION-35: Error generating certificates for Agent {0}"
xf_integration_36 = "FCP-INTEGRATION-36: Error creating Appliance for Agent{0}"
xf_integration_37 = ("fcp-integration-37", _("FCP-INTEGRATION-37: Connector {} is not allowed to install globally. Please install this connector on agent"))
xf_integration_38 = ("fcp-integration-38", _("FCP-INTEGRATION-38: Failed to update connector :: {}"))
xf_integration_47 = "FCP-INTEGRATION-47: Could not find a configuration matching the id {0}"
xf_integration_48 = "FCP-INTEGRATION-48: Multiple configuration found for connector with input - {0}"
xf_integration_49 = "FCP-INTEGRATION-49: Multiple connectors found matching the configuration - {0}"
xf_integration_50 = "FCP-INTEGRATION-50: Error fetching license information :: {0}"
xf_integration_51 = "FCP-INTEGRATION-51: Multiple licenses detected for Tenant {0}"
xf_integration_52 = "FCP-INTEGRATION-52: Maximum number of Agents reached for license"
xf_integration_53 = "FCP-INTEGRATION-53: Connector info.json malformed: Downloaded Connector name does not match requested name"
xf_integration_54 = "FCP-INTEGRATION-54: Connector info.json malformed: Downloaded Connector version does not match requested Connector version"
xf_integration_55 = ("fcp-integration-55", _("FCP-INTEGRATION-55: Connector {} v{} does not exist"))
xf_integration_56 = ("fcp-integration-56", _("FCP-INTEGRATION-56: Bad request for Connector {}. Error :: {}"))
xf_integration_57 = "FCP-INTEGRATION-57: Connector {} was not found in Content Hub and could not be installed"
xf_integration_58 = ("fcp-integration-58", _("FCP-INTEGRATION-58: {} Connector is reserve connector cannot be uninstalled"))
xf_integration_58 = ("fcp-integration-58", _("FCP-INTEGRATION-58: The {} Connector is reserved and cannot be uninstalled."))
xf_integration_59 = "FCP-INTEGRATION-36: Error while deleting Appliance for Agent {0}"
xf_integration_60 = "FCP-INTEGRATION-60: Cannot traverse the file provided. Please check the file or directory existence"